Jump to content

drawing a bolt


Elektryk

Recommended Posts

When it gets imported, it will always place the object at the 0,0,0 point so make sure you zoom all the way out. If you're having trouble getting one, let me know which one you're looking for and I'll save it as a DWG for you.

Link to comment
Share on other sites

  • Replies 42
  • Created
  • Last Reply

Top Posters In This Topic

  • Elektryk

    23

  • JD Mather

    7

  • SuperCAD

    5

  • Bill Tillman

    2

Top Posters In This Topic

Posted Images

When it gets imported, it will always place the object at the 0,0,0 point so make sure you zoom all the way out. If you're having trouble getting one, let me know which one you're looking for and I'll save it as a DWG for you.

 

i copied the ling but it didnt work so the Part Number: 6384K41

Link to comment
Share on other sites

this is what i get i autocad

 

_acisin Unable to read the ACIS file C:\Documents and

Settings\Administrator\My Documents\Downloads\2780T520.SAT.

Link to comment
Share on other sites

ACISIN command.

 

You might first open the file in Notepad and make sure it is ACIS v7 or earlier. Autodesk products will only read up to ACIS v7 (*.sat files).

 

In any case, it should only take 5-10 minutes to create these parts and good practice on easy stuff. What are you having difficulty with (zip and attach dwg attempt).

 

i opened it and found this

 

SolidWorks(2006233)-Sat-Convertor-2.0 14 ACIS 15.0.5 NT 24 Mon Feb 19 15:51:59 2007

Link to comment
Share on other sites

So the file is ACIS v15 and you will not be able to open it in AutoCAD. Attach the file here for someone to convert it to v7.

 

Wouldn't it be easier to simply create a couple of extrudes and revolve and be done?

Link to comment
Share on other sites

So the file is ACIS v15 and you will not be able to open it in AutoCAD. Attach the file here for someone to convert it to v7.

 

Wouldn't it be easier to simply create a couple of extrudes and revolve and be done?

 

i've tried but it doesn't come round as it should be :(

and it extrudes and revolves in different directions that i want

Link to comment
Share on other sites

So the file is ACIS v15 and you will not be able to open it in AutoCAD. Attach the file here for someone to convert it to v7.

 

Wouldn't it be easier to simply create a couple of extrudes and revolve and be done?

 

how do i attach a file here?

Link to comment
Share on other sites

SolidWorks, Hoops ACIS Viewer and others.

Try ACISIN command with this file.

 

yes this one worked :)

 

so now what should i do to get it working

if im gonna get the same file,?

 

how do i get it to v7? so my cad open it

 

solidworks viewer wont let me save it :(

Link to comment
Share on other sites

why when i render it... it doesn't come nicely round?

 

Viewres

Facetres

Dispsilh

Regen

F1

 

BTW - that thread doesn't look correct. What step in the pdf instructions I linked earlier did you have trouble with? I noticed you did not use layers in combination with delobj to preserve your construction geometry - so there is no way of determining exacly where you went wrong.

Link to comment
Share on other sites

With the help of many in this forum I came up with this LISP routine sometime back to draw a nice 3D bolt that is 1" dia. The 1" makes it easy to scale up or down to whatever size you like. It doesn't do threads but it will draw you a 3D bolt in a flash and you can then rescale, move, copy, etc to whatever your needs are.

 

(defun c:3dbolt ( / boltaf boltlen boltthk b1 b2 b3 b4 b9 b10 b11 b12 cyl3 cyl4 holedia list1 list3 nut nutpos nutthk p2 p3 p4 p4d p5 p5d p12 p13 p14 p15 p16 p17 washer1 washerd washert )

(setq washert 0.125) ; Set Washer Thickness
(setq boltaf 0.75) ; 1/2 Distance Across the Hex Head Flats
(setq boltthk 0.75) ; Height of Bolthead
(setq boltlen -3.25) ; Bolt Shaft Length
(setq holedia (+ 0.0625 boltthk)) ; Hole Diameter
(setq washerd (+ boltaf 1.25)) ; Washer OD
(setq nutthk (* 1 boltthk))

;create bolt head
 (command "_osmode" 0)
 (setq list1 (list 0 0 washert))
 (command "_ucs" "_o" list1)
 (command "_polygon" "6" "0,0,0" "c" boltaf)
 (setq b1 (entlast))
 (command "_extrude" b1 "" boltthk)
 (setq b2 (entlast))
 (setq p2 (list 0 0 boltthk))
 (setq p3 (list boltaf 0 boltthk))
 (setq p4d (+ 1 boltaf))
 (setq p4 (list p4d 0 boltthk))
 (setq p5d (- boltthk 0.4547))
 (setq p5 (list p4d 0 p5d))
 (command "_osmode" 0)
 (command "_3dpoly" p3 p4 p5 "c")
 (setq b3 (entlast))
 (command "_revolve" b3 "" "0,0,1" "0,0,0" "360")
 (setq b4 (entlast))
 (command "_subtract" b2 "" b4 "")
 (setq bolthead (entlast))

;create washer 1
 (command "_cylinder" "0,0,0" "d" washerd washert)
 (setq cyl3 (entlast))
 (command "_cylinder" "0,0,0" "d" holedia washert)
 (setq cyl4 (entlast))
 (command "_subtract" cyl3 "" cyl4 "")
 (setq washer1 (entlast))
 (setq p1 (list 0 0 (* -1 washert)))
 (command "_move" washer1 "" "" p1)
 (command "_copy" washer1 "" "" "0,0,-2")

;create nut
 (setq list3 (list 0 0 washert))
 (command "_ucs" "_o" list3)
 (command "_polygon" "6" "0,0,0" "c" boltaf)
 (setq b9 (entlast))
 (command "_extrude" b9 "" nutthk)
 (setq b10 (entlast))
 (setq p12 (list boltaf 0 0))
 (setq p13 (list p4d 0 0))
 (setq p14 (list p4d 0 0.4547))
 (command "_3dpoly" p12 p13 p14 "c")
 (setq b11 (entlast))
 (command "_revolve" b11 "" "0,0,10" "0,0,0" "360")
 (setq b12 (entlast))
 (command "_subtract" b10 "" b12 "")
 (setq b13 (entlast))
 (setq p15 (list boltaf 0 nutthk))
 (setq p16 (list p4d 0 nutthk))
 (setq len11 (- nutthk 0.4547))
 (setq p17 (list p4d 0 len11))
 (command "_3dpoly" p15 p16 p17 "c")
 (setq b14 (entlast))
 (command "_revolve" b14 "" "0,0,1" "0,0,0" "360")
 (setq b15 (entlast))
 (command "_subtract" b13 "" b15 "")
 (setq b16 (entlast))
 (command "_cylinder" "0,0,0" "d" boltaf nutthk)
 (setq b17 (entlast))
 (command "_subtract" b13 "" b17 "")
 (setq nut (entlast))
 (setq nutpos (list 0 0 (+ 0.25 boltlen)))
 (command "_move" nut "" "" nutpos)

;create bolt shaft
 (command "_cylinder" "0,0,0" "d" boltaf boltlen)
(princ)
)

Link to comment
Share on other sites

With the help of many in this forum I came up with this LISP routine sometime back to draw a nice 3D bolt that is 1" dia. The 1" makes it easy to scale up or down to whatever size you like. It doesn't do threads but it will draw you a 3D bolt in a flash and you can then rescale, move, copy, etc to whatever your needs are.

 

(defun c:3dbolt ( / boltaf boltlen boltthk b1 b2 b3 b4 b9 b10 b11 b12 cyl3 cyl4 holedia list1 list3 nut nutpos nutthk p2 p3 p4 p4d p5 p5d p12 p13 p14 p15 p16 p17 washer1 washerd washert )

(setq washert 0.125) ; Set Washer Thickness
(setq boltaf 0.75) ; 1/2 Distance Across the Hex Head Flats
(setq boltthk 0.75) ; Height of Bolthead
(setq boltlen -3.25) ; Bolt Shaft Length
(setq holedia (+ 0.0625 boltthk)) ; Hole Diameter
(setq washerd (+ boltaf 1.25)) ; Washer OD
(setq nutthk (* 1 boltthk))

;create bolt head
 (command "_osmode" 0)
 (setq list1 (list 0 0 washert))
 (command "_ucs" "_o" list1)
 (command "_polygon" "6" "0,0,0" "c" boltaf)
 (setq b1 (entlast))
 (command "_extrude" b1 "" boltthk)
 (setq b2 (entlast))
 (setq p2 (list 0 0 boltthk))
 (setq p3 (list boltaf 0 boltthk))
 (setq p4d (+ 1 boltaf))
 (setq p4 (list p4d 0 boltthk))
 (setq p5d (- boltthk 0.4547))
 (setq p5 (list p4d 0 p5d))
 (command "_osmode" 0)
 (command "_3dpoly" p3 p4 p5 "c")
 (setq b3 (entlast))
 (command "_revolve" b3 "" "0,0,1" "0,0,0" "360")
 (setq b4 (entlast))
 (command "_subtract" b2 "" b4 "")
 (setq bolthead (entlast))

;create washer 1
 (command "_cylinder" "0,0,0" "d" washerd washert)
 (setq cyl3 (entlast))
 (command "_cylinder" "0,0,0" "d" holedia washert)
 (setq cyl4 (entlast))
 (command "_subtract" cyl3 "" cyl4 "")
 (setq washer1 (entlast))
 (setq p1 (list 0 0 (* -1 washert)))
 (command "_move" washer1 "" "" p1)
 (command "_copy" washer1 "" "" "0,0,-2")

;create nut
 (setq list3 (list 0 0 washert))
 (command "_ucs" "_o" list3)
 (command "_polygon" "6" "0,0,0" "c" boltaf)
 (setq b9 (entlast))
 (command "_extrude" b9 "" nutthk)
 (setq b10 (entlast))
 (setq p12 (list boltaf 0 0))
 (setq p13 (list p4d 0 0))
 (setq p14 (list p4d 0 0.4547))
 (command "_3dpoly" p12 p13 p14 "c")
 (setq b11 (entlast))
 (command "_revolve" b11 "" "0,0,10" "0,0,0" "360")
 (setq b12 (entlast))
 (command "_subtract" b10 "" b12 "")
 (setq b13 (entlast))
 (setq p15 (list boltaf 0 nutthk))
 (setq p16 (list p4d 0 nutthk))
 (setq len11 (- nutthk 0.4547))
 (setq p17 (list p4d 0 len11))
 (command "_3dpoly" p15 p16 p17 "c")
 (setq b14 (entlast))
 (command "_revolve" b14 "" "0,0,1" "0,0,0" "360")
 (setq b15 (entlast))
 (command "_subtract" b13 "" b15 "")
 (setq b16 (entlast))
 (command "_cylinder" "0,0,0" "d" boltaf nutthk)
 (setq b17 (entlast))
 (command "_subtract" b13 "" b17 "")
 (setq nut (entlast))
 (setq nutpos (list 0 0 (+ 0.25 boltlen)))
 (command "_move" nut "" "" nutpos)

;create bolt shaft
 (command "_cylinder" "0,0,0" "d" boltaf boltlen)
(princ)
)

 

 

and what do i do with this?>

Link to comment
Share on other sites

Well, it's a little more complicated than just posting a simple reply. This is a LISP program, which is a set of instructions for AutoCAD to follow to carry out a task or set of tasks. You will need to save the code I posted to a file and then tell AutoCAD where to find it. Then you APPLOAD this file and run it with the command 3dbolt.

 

Like I said, trying to post all the steps needed to teach you how to install a LISP program is very tedious. I recommend that you search here and other places on the web for tutorials on AutoLISP and how to install and run them. It's well worth the investment of your time.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...